<script lang="ts">
	import PokemonDetailsPlaceholder from '$lib/components/pokemon/PokemonDetailsPlaceholder.svelte';
	import PokemonDetails from '$lib/components/pokemon/PokemonDetails.svelte';
	import ErrorPage from '$lib/components/ui/ErrorPage.svelte';
	import { goto } from '$app/navigation';
	import MdiCloseCircleOutline from 'virtual:icons/mdi/close-circle-outline';
	import MdiBackArrow from 'virtual:icons/mdi/arrow-back';

	export let data;

	function goBack() {
		goto('/my_pokedex');
	}
</script>

<main class="mx-5 mt-10">
	<button type="button" on:click={goBack}>
		<MdiBackArrow class="text-4xl mb-5 hover:cursor-pointer hover:text-primary-400" />
	</button>
	{#await data.pokemon}
		<PokemonDetailsPlaceholder />
	{:then pokemon}
		<PokemonDetails {pokemon} />
	{:catch error}
		<ErrorPage className="mt-10 mx-5" title="Uh Oh!">
			<p>Error loading pokemon data: {error.message}</p>
			<button slot="actions" type="button" class="btn-icon" on:click={goBack}>
				<MdiCloseCircleOutline class="text-4xl" />
			</button>
		</ErrorPage>
	{/await}
</main>
